Bug 245061 - textproc/py-xlutils: Update to 2.0.0 - compatible with Python 3.6
Summary: textproc/py-xlutils: Update to 2.0.0 - compatible with Python 3.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-25 19:43 UTC by Miroslav Lachman
Modified: 2020-04-04 03:53 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
update of port to 2.0.0 (1.18 KB, patch)
2020-03-25 19:43 UTC, Miroslav Lachman
no flags Details | Diff
poudriere testport build log success for 11.3-RELEASE (22.96 KB, text/plain)
2020-03-25 19:44 UTC, Miroslav Lachman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Lachman 2020-03-25 19:43:18 UTC
Created attachment 212710 [details]
update of port to 2.0.0

The port is marked as DEPRECATED: Uses deprecated version of python
Expiration Date EXPIRATION DATE: 2020-08-15

The port is outdated. Latest upstream version is 2.0.0. Not well maintained but should work with Python 3.6
Comment 1 Miroslav Lachman 2020-03-25 19:44:10 UTC
Created attachment 212711 [details]
poudriere testport build log success for 11.3-RELEASE
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-26 01:34:23 UTC
If there's a test dependencies and a test suite available, it would be great to add these to the port to qualify QA against multiple Python versions
Comment 3 Miroslav Lachman 2020-03-26 17:03:01 UTC
I am not Python iriented person I just updated this port because one of our client needs it to work with Python 3.6.
I don't know it there is any test suite for this.
Comment 4 Steven Kreuzer freebsd_committer 2020-04-04 01:10:39 UTC
Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2020-04-04 01:16:19 UTC
A commit references this bug:

Author: skreuzer
Date: Sat Apr  4 01:10:06 UTC 2020
New revision: 530539
URL: https://svnweb.freebsd.org/changeset/ports/530539

Log:
  Update to version 2.0.0

   * Updated documentation.
   * Move to virtualenv/pip based development.
   * Move to Read The Docs for documentation.
   * Use Travis CI for testing and releases.
   * Use features of newer testfixtures in CheckerView.
   * Python 3 compatibility.

  PR:		245061
  Submitted by:	Miroslav Lachman <000.fbsd@quip.cz>

Changes:
  head/textproc/py-xlutils/Makefile
  head/textproc/py-xlutils/distinfo